<!-- 
 Copyright 2017 Anders Lunde, Robin Sjøvoll

 This code is developed under an experimental paradigm, thus it is important to reuse it with caution. 
 -->
<%@ page language="java" contentType="text/html; charset=US-ASCII"
	pageEncoding="US-ASCII"
	import="java.util.*,
				blackboard.data.*,
				blackboard.data.user.*,
				blackboard.platform.plugin.*,
				blackboard.data.course.*,
				 no.ntnu.es.bb.schema.Assessment,
				 no.ntnu.es.bb.schema.AssessmentDAO"%>

<%@ taglib uri="/bbNG" prefix="bbNG"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<link href="<c:url value="/resources/css/styles.css" />" rel="stylesheet">


<bbNG:learningSystemPage>
	<c:url var="iconUrl" value="/resources/images/icon_peers.png" />
	<fmt:setBundle basename="settings" />
	<fmt:message key="module.tools.show_all_reviews.header" var="page_title" />

	<bbNG:breadcrumbBar>
		<bbNG:breadcrumb href="${recallUrl}" title="${page_title}" />
	</bbNG:breadcrumbBar>
	
	<bbNG:pageHeader>

		<bbNG:pageTitleBar title="${page_title}">

		</bbNG:pageTitleBar>

	</bbNG:pageHeader>

 	<bbNG:contentList designer="true" 
		reorderingUrl="noop"
		reorderType="Assessment" 
		emptyMsg="List of all Assessments available">

		<c:forEach items="${assessments}" var="assessment">


			<bbNG:contentListItem title="${assessment.getName()}" titleColor="#660066" iconUrl="${iconUrl}"
			url="../submission/submit?course_id=${assessment.getCourseId()}&assessment_id=${assessment.getPropertyId()}">
						<%-- <h3><a class="ntnu" href="../review/student_reviews?course_id=${assessment.getCourseId()}&assessment_id=${assessment.getPropertyId()}">Evaluate Submissions</a></h3>
            			 --%><h3><a class="ntnu" href="../review/instructor_reviews?course_id=${assessment.getCourseId()}&assessment_id=${assessment.getPropertyId()}&content_id=${assessment.getContentId()}">Evaluate Submissions Instructor</a></h3>
            			<p>${ assessment.getInstructions() }</p>
            			<p>Id: ${ assessment.getPropertyId() }</p>
            			<p>${ assessment.getStartDateAsString() } # ${ assessment.getEndDateAsString() }</p>
            	<bbNG:delegateContextMenu>
					<bbNG:contextMenuItem title="Edit"
						url="../assessment/edit?course_id=${assessment.getCourseId()}&content_id=${assessment.getContentId()}"
						id="manual_item1" />
				</bbNG:delegateContextMenu> 

			</bbNG:contentListItem>

		</c:forEach>

	</bbNG:contentList>


<%-- <p>${assessments}</p>

<h1> RESULT FROM QUERY:</h1>
<p>${resultFromQuery}</p> --%>


</bbNG:learningSystemPage>